- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
I have this iLogic which works great for me. I add a description in the assembly environment by selecting the parts. When I'm done click escape.
Dim oOccurrence As ComponentOccurrence
msg = "Select a component (press ESC to exit)"
While True
oOccurrence = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kAssemblyOccurrenceFilter, msg)
' If nothing gets selected then we're done
If IsNothing(oOccurrence) Then Exit While
oName = oOccurrence.Name
ThisApplication.ActiveDocument.selectset.select(oOccurrence)
oDesc = iProperties.Value(oName, "Project", "Description")
oDesc = InputBox(oName & " Description", "iLogic", oDesc)
If Not oDesc = Nothing Then iProperties.Value(oName, "Project", "Description") = oDesc
End While
I am interested in whether it is possible to first create a custom iproperty (in case it does not exist) and then add a value to it in the same way in the assembly environment. The name custom iLogic does not need to be created through the toolbox, through iLogic is perfectly fine.
If it is possible to use the same iLogic also in a part environment, that would be really great
Solved! Go to Solution.